## python-aiorecollect 2023.12.0

=== .github/workflows/requirements.txt ===
poetry==1.7.1

=== debian/changelog ===
python-aiorecollect (2023.12.0-2) unstable; urgency=medium

  * Re-upload source-only.
  * Removed python3-ruff build-depends.
  * Do not run autopkgtest on armel where it's failing.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Aug 2024 11:10:46 +0200

python-aiorecollect (2023.12.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1078719)

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 Aug 2024 16:51:40 +0200

=== debian/control ===
Source: python-aiorecollect
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp,
 python3-aresponses,
 python3-certifi,
 python3-coverage,
 python3-freezegun,
 python3-frozenlist,
 python3-git,
 python3-mypy,
 python3-pygments (>=2.15.0),
 python3-pytest,
 python3-pytest-aiohttp,
 python3-pytest-asyncio,
 python3-pytest-cov,
 python3-requests,
 python3-yaml,
 python3-yarl,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-aiorecollect
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-aiorecollect.git
Homepage: https://github.com/bachya/aiorecollect

Package: python3-aiorecollect
Architecture: all
Depends:
 python3-aiohttp,
 python3-certifi,
 python3-frozenlist,
 python3-yarl,
 ${misc:Depends},
 ${python3:Depends},
Description: asyncio-based library for the ReCollect Waste API
 Aiorecollect is a Python 3, asyncio-based library for the ReCollect Waste API.
 It allows users to programmatically retrieve schedules for waste removal in
 their area, including trash, recycling, compost, and more.
 .
 This package is a dependency of Home Assistant.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/bachya/aiorecollect.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_TEST_ARGS= -v

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/tests/control ===
Test-Command: pybuild-autopkgtest
Depends: @, @builddeps@,
Restrictions: allow-stderr, skippable,
Features: test-name=pybuild-autopkgtest
Architecture: amd64 arm64 ppc64el armhf i386 riscv64 s390x

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/aiorecollect/aiorecollect-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
